librsvg (2.60.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:22:00 +0200

librsvg (2.60.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Mar 2025 08:29:39 -0400

librsvg (2.59.90+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 19:31:31 -0500

librsvg (2.59.90+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Update debian/README.source
  * Update missing-sources & include-binaries per debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 07:46:32 -0500

librsvg (2.59.2+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #2089563)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 26 Nov 2024 20:50:03 +0100

librsvg (2.59.1+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #2083259)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 11:02:55 -0400

librsvg (2.59.0+dfsg-3) unstable; urgency=medium

  * Disable libavif feature in Ubuntu since it requires dav1d
    which is in universe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 14:48:18 -0400

librsvg (2.59.0+dfsg-2) unstable; urgency=medium

  * Release to unstable (Closes: #1081578, #1067102)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 19:02:00 -0400

librsvg (2.59.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Update Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 08:38:05 -0400

librsvg (2.58.94+dfsg-3) experimental; urgency=medium

  * debian/.gitignore: Correctly override upstream .gitignore
  * missing-sources: Add missing files now that gitignore is working correctly
  * Apply .a workaround from gnome-snapshot

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Sep 2024 11:28:52 -0400

librsvg (2.58.94+dfsg-2) experimental; urgency=medium

  * Revert "Temporarily disable new avif feature"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 14:38:16 -0400

librsvg (2.58.94+dfsg-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * Refresh patches
  * Update vendored crates
  * Update ABI patch to correctly export the symbol

  [ Jeremy Bícha ]
  * Restore level 4 symbols checking

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 14:54:11 -0400

librsvg (2.58.93+dfsg-5) experimental; urgency=medium

  * Add Depends to librsvg2-dev: libpango1.0-dev, libxml2-dev
    (Closes: #1079729) (LP: #2077918)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 08:37:43 -0400

librsvg (2.58.93+dfsg-4) experimental; urgency=medium

  * Temporarily disable new avif feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Aug 2024 09:20:56 -0400

librsvg (2.58.93+dfsg-3) experimental; urgency=medium

  * Always build docs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 08:06:21 -0400

librsvg (2.58.93+dfsg-2) experimental; urgency=medium

  * Fix arch-independent build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 07:04:43 -0400

librsvg (2.58.93+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Update missing-sources per debian/README.source
  * Add Build-Depends: libdav1d-dev for new avif feature
  * debian/librsvg2-2.symbols: Add new symbols
  * Temporarily drop symbols checking to level 1
  * Temporarily drop installed tests since they weren't included
    in the meson port

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 23:33:57 -0400

librsvg (2.58.0+dfsg-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control: Add ${gir:Depends} to librsvg2-dev
  * d/control: Add ${gir:Provides} to librsvg2-dev
  * d/rules: Fix canonicalization of tests permissions
  * d/copyright: Fix file pattern for d/missing-sources/*
  * d/copyright: Remove an unused stanza
  * d/source/lintian-overrides: Silence a warning about non-UTF-8 test data
  * d/source/lintian-overrides: nogir is a valid build-profile
  * d/librsvg2-tests.lintian-overrides:
    Drop unused override for fonts that are no longer bundled
  * d/librsvg2-tests.lintian-overrides: Silence some false-positives

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 20:58:03 -0400

librsvg (2.57.92+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/rules: Temporarily disable a reftest that is sensitive to Pango version.
    (Mitigates: #1065821)
  * d/patches: Refresh patch series. No functional changes.
  * d/patches: Update patch metadata, sort by topic
  * d/log-reftests.py: Update to find more reftest results.
    In the new source tree layout, some of the reftest results now land
    in tests/output/.
  * d/rules: Don't output the binary gvfs metadata log into buildd logs
  * d/.gitignore, d/source/options: Exclude debian/missing-sources/**/*.a
    from git commits and uploads
  * d/rules: Create a missing directory if necessary

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Mar 2024 14:49:33 +0000

librsvg (2.57.92+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Fix dh_fixperms handling for installed tests
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Mar 2024 11:05:30 -0500

librsvg (2.57.91+dfsg-2) experimental; urgency=medium

  * debian/patches/skip-broken-reftests.diff:
    -ignore the svg1_1_filters_conv 02 and 04 tests not only on bigendian
     architectures, they are also failing on ppc64el

  [ Matthias Geiger ]
  * Add patch to skip two failing reftests, big-endian specific failures 
  * Stop using d/control.in and dh_gnome_clean
  * Build-depend on libgirepository too, bump rustc version acccording
    to upstream requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Mar 2024 10:30:53 +0100

librsvg (2.57.91+dfsg-1) experimental; urgency=medium

  [ Amin Bandali ]
  * Change debian-branch from debian/master to debian/latest
  [  Jeremy Bícha ]
  * debian/watch: Update rule to watch for odd-numbered stable releases
    too
  [ Sebastien Bacher]
  * debian/librsvg2-tests.install:
    - update the directory where to install the assets to match the
      new version and fix the autopkgtests
  [ Matthias Geiger ]
  * New upstream release
  * Rebased patches for new upstream
  * Drop unstable-rustc-options patch; applied upstream
  * Drop thin-lto.patch, not needed anymore
  * Updated file paths in d/rules for new upstream
  * Vendor sources for librsvg into debian/missing-sources
  * Whitelisted additional binaries caused due to vendoring in
    d/s/include-binaries
  * Add use-vendored-crates patch to build with vendored sources
  * Amend d/rules to get librsvg to build
  * Exclude files needed for tests from autocleaning
  * Update install path for librsvg2-tests package
  * Drop libgirepository1.0-dev dependency, depend on separate gir-* packages
    with nogir build profile
  * Remove executable bit for test svg before install
  * Updated copyright information

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 28 Feb 2024 11:37:29 +0100

librsvg (2.54.7+dfsg-2) unstable; urgency=medium

  * Cherry-pick unstable-options patch to fix build with newer rustc
  * Set upstream metadata field Security-Contact
  * debian/control.in: Update Build-Depends: libfreetype6-dev -> libfreetype-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 14:10:15 -0400

librsvg (2.54.7+dfsg-1) unstable; urgency=high

  * Team upload
  * New upstream stable release 2.54.6
    - Fix a directory traversal vulnerability
      (Closes: #1041810, CVE-2023-38633)
    - Drop a redundant test-case that frequently regressed as a result of
      non-problematic font rendering changes
  * New upstream stable release 2.54.7
    - Fix compilation of 2.54.6 on rustc < 1.58
  * d/rules: Skip several known-failing reftests on big-endian architectures.
    These succeeded when librsvg_2.54.5+dfsg-1 was uploaded in September
    2022, but regressed sometime between then and the bookworm release,
    presumably as a result of changes in some other package.
    (Mitigates: #1038447)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 15:13:38 +0100

librsvg (2.54.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/p/debian/tests-Skip-known-failing-tests-on-i386.patch:
    Skip two tests that have started failing on i386 since October 2022
    (Mitigates: #1038252)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2023 18:53:35 +0100

librsvg (2.54.5+dfsg-2) unstable; urgency=medium

  * Restore the librsvg2-tests build and corresponding autopkgtests
    which were set up a while ago but disabled to avoid having the upload
    blocked in the Debian NEW queue. Include the svg needed for the tests.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jun 2023 17:25:43 +0200

librsvg (2.54.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS.md -> NEWS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 17:00:54 -0400

librsvg (2.54.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS was renamed to NEWS.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 14:12:21 -0400

librsvg (2.54.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/clean: Fix build-twice-in-a-row (Closes: #1012017)
  * New upstream release
  * d/librsvg2-doc.install: Update for new upstream documentation
    install location
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 29 May 2022 14:34:09 +0100

librsvg (2.54.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev
    package
  * d/copyright: Exclude larger web and Windows dependencies, to avoid
    needing to keep track of their contents
  * New upstream release
  * d/control.in: Update build-dependencies
  * d/rules: Disable gi-docgen if not building -doc package
  * d/rules: Disable man pages in nodoc build profile
  * Refresh patch series
  * Tolerate some reftest differences
  * d/rules, d/log-reftests.py: Output diffs as base64 for analysis
  * Update documentation installation directories for gi-docgen
  * Fix a malformed Lintian override

 -- Simon McVittie <smcv@debian.org>  Sun, 08 May 2022 12:13:23 +0100

librsvg (2.52.5+dfsg-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/rules: remove a test which is failing due to pango
    https://gitlab.gnome.org/GNOME/librsvg/-/issues/824

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 06:21:00 -0500

librsvg (2.52.5+dfsg-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Adjust Lintian overrides
  * Standards-Version: 4.6.0 (no changes required)

  [ Jeremy Bicha ]
  * Bump debhelper-compat to 13
  * debian/control.in: Bump minimum rustc to 1.52
  * debian/control.in: Build-Depend on cargo instead of dh-cargo
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Jan 2022 07:53:46 -0500

librsvg (2.52.5+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GTK 4.6
  * Update patch series
  * d/copyright: Exclude a CC-BY-SA-2.0 test image.
    It's not clear whether CC-BY-SA-2.0 is DFSG-compliant (3.0 is, 1.0 isn't).
  * d/p/debian/tests-Replace-a-CC-BY-SA-2.0-test-image-with-a-simpler-on.patch,
    d/rules, d/clean, d/source/include-binaries, d/a-link-purple-bg.png:
    Replace CC-BY-SA-2.0-licensed test image with a simpler one
  * d/rules: Don't delete *.bak in dh_clean
  * d/p/Link-librsvg-with-libpthread-fixing-a-link-failure.patch:
    Link with libpthread
  * d/rules: Don't try to run tests that are no longer in the Automake build
    system
  * d/copyright: Update
  * d/librsvg2-2.install: Stop installing locales, no longer provided
  * d/librsvg2-2.symbols: Add new symbols
  * d/librsvg2-2.symbols: Ignore removal of private symbols
  * d/rules: Increase reftest tolerance for i386 due to i387 FPU
  * d/rules: Skip a problematic reftest on i386
  * Release to experimental for initial testing

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jan 2022 19:00:55 +0000

librsvg (2.50.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:45:00 +0100

librsvg (2.50.7+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump Build-Depends on libpango1.0-dev to (>= 1.44.0)
    per upstream requirement

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Jun 2021 16:35:11 +0200

librsvg (2.50.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes FTBFS with newer rustc (Closes: #976577)
  * (Build-)Depend on libgdk-pixbuf-2.0-dev in preference to
    transitional package libgdk-pixbuf2.0-dev
  * d/upstream/metadata: Add
  * d/copyright: Update
  * Drop patch and exclusion that are no longer needed
  * Standards-Version: 4.5.1 (no changes required)
  * Remove obsolete workarounds for backtrace-sys crate

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 00:35:18 +0000

librsvg (2.50.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 23 Nov 2020 23:29:10 +0100

librsvg (2.50.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * d/librsvg2-2.symbols: updated symbols for new APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 06 Oct 2020 16:01:21 +0200

librsvg (2.50.0+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:09:38 +0200

librsvg (2.49.5+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 08 Sep 2020 18:03:49 +0200

librsvg (2.48.8+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patch series
  * d/copyright: Update
  * Revert checks for Loongson-3A mips* hardware.
    The root cause of #959845 is believed to have been avoided by disabling
    the madd.fmt instructions in llvm-toolchain-*.
  * d/copyright: Exclude HTML code coverage report from imported source
    - Add patch to avoid checksumming the excluded file
  * d/watch: Add a +dfsg suffix to the repacked tarball
  * d/copyright: Consolidate Rust modules into one stanza
  * d/librsvg2-2.lintian-overrides: Override tag for no compiler hardening.
    Rust code doesn't use C string concatenation, so it's not going to use
    the hardened versions either.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Sep 2020 14:47:04 +0100

librsvg (2.48.7-1) unstable; urgency=medium

  * New upstream release
  * d/librsvg2-2.symbols: updated symbols for new/removed APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 09 Jun 2020 14:35:19 +0200

librsvg (2.48.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/rules: Fail the build early on Loongson-3A mips* hardware.
    This is apparently known to have FPU bugs that will break librsvg's
    tests, so don't even try. Mitigates: #959845
  * Skip invalid_viewbox test on 32-bit x86.
    This test appears to be failing on i386, possibly due to extended
    precision in the i387 FPU. Building with -mfpmath=sse might resolve this,
    but that isn't currently allowed in Debian due to our i386 baseline
    being 20 years old (in particular no SSE and no SSE2). (Closes: #959847)
  * d/watch: Force repacking without Windows archive files.
    Please use `uscan --download` to download new upstream releases with
    Files-Excluded taken into account.

 -- Simon McVittie <smcv@debian.org>  Mon, 11 May 2020 20:16:22 +0100

librsvg (2.48.4-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 May 2020 16:37:03 +0200

librsvg (2.48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump glib (build-)dependency to 2.50.0
  * debian/rules: Drop workaround for the tests on ppc*
    The package should now build fine on these architectures (Closes: #955845)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Apr 2020 11:15:08 +0200

librsvg (2.48.2-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in:
    - Build-Depends on libharfbuzz-dev, new configure.ac requirement

  [ Olivier Tilloy ]
  * New upstream release
  * Drop patch that was applied upstream
    (578-Link-the-C-tests-to-harfbuzz-so-they-can-call-hb_vers.patch)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2020 22:23:36 +0200

librsvg (2.48.0-2) unstable; urgency=medium

  * Fix FTBFS in the tests due to missing link against libharfbuzz
    (Closes: #955264)
  * debian/control.in: Bump Standards-Version 4.5.0 (no further changes)
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>,
    move the -doc package to BDI and add libgdk-pixbuf2.0-doc to it

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Apr 2020 00:11:51 +0200

librsvg (2.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 13 Mar 2020 18:18:27 +0100

librsvg (2.47.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Silence a shellcheck warning
  * d/tests: Remove support for ancient autopkgtest versions.
    AUTOPKGTEST_TMP is now required to be set, and we do not fall back
    to the deprecated ADTTMP.
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support (Closes: #946444)
  * d/tests: Mark tests as superficial

  [ Olivier Tilloy ]
  * New upstream release
  * d/control.in: remove libcroco3-dev build dependency
  * d/patches/thin-lto.patch: update patch
  * d/librsvg2-2.symbols: updated symbols for new/removed APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 Mar 2020 09:59:47 +0100

librsvg (2.46.4-1) unstable; urgency=medium

  [ Philip Chimento ]
  * New upstream release
  * d/rules:
    - Remove script to manipulate checksum of backtrace-sys, this crate
      is no longer used
    - Skip reftests, as they are tightly coupled to particular versions of
      pixman, cairo, freetype, and pango
  * d/librsvg2-2.install: Install librsvg.mo files, internationalization
    was added in this version
  * d/patches: Remove typenum-i386-ftbfs.patch, this was fixed in typenum
    1.11.0, which is now used

  [ Olivier Tilloy ]
  * d/patches/thin-lto.patch: change LTO setting to 'thin', to work
    around a bug in rustc that generates invalid DWARF
  * d/librsvg2-2.symbols: updated symbols for new APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Nov 2019 19:21:55 +0100

librsvg (2.44.15-1) unstable; urgency=medium

  * Team upload

  [ Andreas Henriksson ]
  * Add patch to fix FTBFS with gtk-doc 1.32 (Closes: #939958)

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were applied upstream
  * Standards-Version: 4.4.1 (no changes required)
  * d/rules: Generate German and American English locales, required for
    systemLanguage attribute tests

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 20:59:14 +0100

librsvg (2.44.14-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update to upstream librsvg-2.44 branch at commit 2.44.14-3-g98c0eba8,
    disregarding CI-only changes
    - Respect the direction property for bidi text
    - Be compatible with older rustc
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Stop building rsvg-view-3. It has been removed upstream and will not
    be included in librsvg 2.45.x. The upstream developer of librsvg
    suggests eog as a better interactive GUI SVG viewer; display(1) from
    ImageMagick is another possibility.
    - Drop GTK build-dependency
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Drop --libexecdir override, /usr/libexec is now the default

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Aug 2019 08:24:49 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librsvg2-bin`.
